Subject: [nemo] RE: comments on draft-ietf-nemo-dhcpv6-pd-00.txt

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Mon, 29 Aug 2005 09:42:08 +0200

Thanks for this, Vijay :)

Comments inline:

>-----Original Message-----
>From: Vijay Devarapalli [mailto:[email-masked]]
>Sent: Friday, August 26, 2005 10:53 PM
>To: Ralph Droms (rdroms); Pascal Thubert (pthubert)
>Cc: [email-masked]
>Subject: comments on draft-ietf-nemo-dhcpv6-pd-00.txt
>
>hi,
>
>I quickly glanced through the draft. looks good.
>
>I have one concern. section 3.2 does not belong in this
>draft. in RFC 3963, the assumption is that the prefixes
>assigned to the mobile network always comes from the
>home link. never from the access link.
>
>I dont think there was any discussion on the mailing
>list on this to include it in a WG document. did I miss
>the discussion?
>
>>    A Mobile Router may also obtain a temporary delegated prefix from
its
>>    Access Router (acting as a DHCPv6PD DR) while the MR is roaming
>>    within the AR space.
>
>what is "roaming within the AR space"? the access router
>is the first hop router to which the mobile router is
>attached to.
>
[<PT>] This is an opening to DHCPv6PD based Local Mobility Management.
This is a leftover from the text we removed from the draft (the LMM
part). We do not specify it any more here, but we do not prevent it
either. The sentence says it's possible, which is true. But the sentence
can be removed without hurting the rest of the spec. Votes?

And I agree the AR term is ill chosen. The AR space is some kind of
domain within which it makes sense to use the delegated prefix for LMM.

>Vijay
>
>[email-masked] wrote:
>> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
>> This draft is a work item of the Network Mobility Working Group of
the IETF.
>>
>> 	Title		: DHCPv6 Prefix Delegation for NEMO
>> 	Author(s)	: R. Droms, P. Thubert
>> 	Filename	: draft-ietf-nemo-dhcpv6-pd-00.txt
>> 	Pages		: 8
>> 	Date		: 2005-8-8
>>
>>    One aspect of network mobility support is the assignment of a
prefix
>>    or prefixes to a mobile router (MR) for use on the links in the
>>    mobile network.  DHCPv6 prefix delegation can be used for this
>>    configuration task.
>>
>> A URL for this Internet-Draft is:
>> http://www.ietf.org/internet-drafts/draft-ietf-nemo-dhcpv6-pd-00.txt
>>
>> To remove yourself from the I-D Announcement list, send a message to
>> [email-masked] with the word unsubscribe in the body
of the message.
>> You can also visit
https://www1.ietf.org/mailman/listinfo/I-D-announce
>> to change your subscription settings.
>>
>>
>> Internet-Drafts are also available by anonymous FTP. Login with the
username
>> "anonymous" and a password of your e-mail address. After logging in,
>> type "cd internet-drafts" and then
>> 	"get draft-ietf-nemo-dhcpv6-pd-00.txt".
>>
>> A list of Internet-Drafts directories can be found in
>> http://www.ietf.org/shadow.html
>> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>
>>
>> Internet-Drafts can also be obtained by e-mail.
>>
>> Send a message to:
>> 	[email-masked].
>> In the body type:
>> 	"FILE /internet-drafts/draft-ietf-nemo-dhcpv6-pd-00.txt".
>>
>> NOTE:	The mail server at ietf.org can return the document in
>> 	MIME-encoded form by using the "mpack" utility.  To use this
>> 	feature, insert the command "ENCODING mime" before the "FILE"
>> 	command.  To decode the response(s), you will need "munpack" or
>> 	a MIME-compliant mail reader.  Different MIME-compliant mail
readers
>> 	exhibit different behavior, especially when dealing with
>> 	"multipart" MIME messages (i.e. documents which have been split
>> 	up into multiple messages), so check your local documentation on
>> 	how to manipulate these messages.
>>
>>
>> Below is the data which will enable a MIME compliant mail reader
>> implementation to automatically retrieve the ASCII version of the
>> Internet-Draft.

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 30 Aug 2005 11:45:41 -0700

> domain within which it makes sense to use the delegated prefix for LMM.

this is bad. there was never any consensus to include something
like this in DHCPv6 based prefix delegation. I dont think NEMO is
supposed to work on Local Mobility Management. IMO, section 3.2
needs to be removed. I think the document would advance quickly
without this section.

Vijay